<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>Document</title>
    <script src="https://code.jquery.com/jquery-3.6.3.min.js"></script>
    
    <style>
        *{
            margin: 0;
            padding: 0;
            overflow: hidden;
        }
        body{
            height: 100vh;
        }
        iframe{
            width: 100%;
            height: 100%;
        }
    </style>
    <script>
    document.addEventListener('contextmenu', event => event.preventDefault());

window.addEventListener("keydown", (e) => {
        if(e.keyCode == 123) {
           
            return false;
        }

        if(e.ctrlKey && e.shiftKey && e.keyCode == 73){
            
            return false;
        }

        if(e.ctrlKey && e.shiftKey && e.keyCode == 74) {
            
            return false;
        }

        if(e.ctrlKey && e.keyCode == 85) {
            
            return false;
        }
    })
//         $(document).ready(function(){
//             setTimeout(function() {
    
// }, 2000);
// })
// $('#homePage').on('load',function(){

function resizeIframe(){
        $("iframe").contents().find("html").on('click',function(){
        return go_full_screen();
    })
}

// })
// $('iframe').on("load", function() {
//     alert(1);
// });
          function go_full_screen(){
  var elem = document.documentElement;
  if (elem.requestFullscreen) {
    elem.requestFullscreen();
  } else if (elem.msRequestFullscreen) {
    elem.msRequestFullscreen();
  } else if (elem.mozRequestFullScreen) {
    elem.mozRequestFullScreen();
  } else if (elem.webkitRequestFullscreen) {
    elem.webkitRequestFullscreen();
  }
}

    </script>
 
</head>
<body>
    <iframe id="homePage"  src="{{url('/sign-in')}}" frameborder="0" onload="resizeIframe(this)"></iframe>

</body>
</html>